Module javafx.graphics
Package javafx.scene.text

## Enum TextAlignment

- java.lang.Object
- - java.lang.Enum<TextAlignment>
  - - javafx.scene.text.TextAlignment

- All Implemented Interfaces:
    `Serializable`, `Comparable<TextAlignment>`, `Constable`

      public enum TextAlignment
      extends Enum<TextAlignment>

  The `TextAlignment` enum represents the horizontal text alignment.
  Since:
    JavaFX 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CENTER` | Represents centered text alignment (ragged left and right).
    `JUSTIFY` | Represents justified text alignment.
    `LEFT` | Represents text alignment to the left (left-justified, ragged right).
    `RIGHT` | Represents text alignment to the right (right-justified, ragged left).

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextAlignment` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TextAlignment[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final TextAlignment LEFT

      Represents text alignment to the left (left-justified, ragged right).

    - #### CENTER

          public static final TextAlignment CENTER

      Represents centered text alignment (ragged left and right).

    - #### RIGHT

          public static final TextAlignment RIGHT

      Represents text alignment to the right (right-justified, ragged left).

    - #### JUSTIFY

          public static final TextAlignment JUSTIFY

      Represents justified text alignment.

  - ### Method Detail

    - #### values

          public static TextAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextAlignment valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null